Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 22-08-2021 19:56:59

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

[Résolu] Installation de paquets

Bonjour,

Je suis nouvelle sur debian et je souhaite installer discord et un vpn (proton vpn pour les connaisseurs) sur mon ordi. Or je ne suis arrivée à rien malgré toutes les commandes que j'ai pu trouver sur internet. Je voulais donc savoir comment est-ce que l'on peut installer un logiciel avec l'aide du gestionnaire de paquets Synaptic.

Merci d'avance pour vos réponses!

Dernière modification par Clemiloup (28-08-2021 14:21:28)

Hors ligne

#2 22-08-2021 20:33:38

cyrille
CA Debian-Facile
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu] Installation de paquets

Bonsoir

Or je ne suis arrivée à rien malgré toute les commandes que j'ai pu trouver sur internet.


Quelles sont ces commandes exactement et les erreurs rencontrées ?

Pour proton vpn
C'est ça que tu as suivi ? https://protonvpn.com/support/official- … pn-debian/

Pour discord
https://linuxconfig.org/how-to-install-discord-on-linux
Où rencontres tu des erreurs ?

Dernière modification par cyrille (22-08-2021 20:34:28)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#3 22-08-2021 20:46:58

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Alors d'une part je ne comprends pas du tout ce qu'il s'est passé pour protonvpn. J'avais utilisé ce site et donc ces commandes mais cela n'avait pas fonctionné, maintenant si.. Donc merci beaucoup smile
Et d'une autre part, je n'avais pas trouvé ce lien pour discord mais voici ce que le terminal me répond après la deuxième commande:

~$ sudo dpkg -i /path/to/discord.deb
[sudo] Mot de passe de clemence02 :
dpkg: erreur: cannot access archive '/path/to/discord.deb': Aucun fichier ou dossier de ce type



Mais le problème que je rencontrais souvent, mis à part les paquets que l'on me disait manquants qui ne le sont magiquement plus, était le fait que la commande dkpg ne fonctionnait pas car "peut-être utilisée par quelque chose" alors que rien d'autre ne tournait.
Et tant qu'à rester dans le sujet, j'aimerais bien savoir comment l'on peut installer des logiciels à l'aide du gestionnaire de paquets que j'ai (si possible, bien sûr).

Dernière modification par Clemiloup (22-08-2021 20:51:58)

Hors ligne

#4 22-08-2021 20:47:24

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

Discord est un logiciel propriétaire, ce qui ne va pas tellement avec la philosophie du libre ! Je dis ça, je dis rien ! mais bon......

Pour la visioconférence j'utilise Jami, Jami est un paquet GNU soutenu par la Free Software Foundation et est publié sous la licence GPLv3. https://jami.net/

Dernière modification par Jean-Pierre Pinson (22-08-2021 21:10:41)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#5 22-08-2021 20:53:50

cyrille
CA Debian-Facile
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu] Installation de paquets

Discord est un logiciel propriétaire, ce qui ne va pas tellement avec la philosophie du libre ! Je dis ça, je dis rien ! mais bon......


+1 mais si c'est son besoin.... Chacun son choix, mais bien de le rappeler quand même wink
En libre, si c'est pour de la visio : https://meet.jit.si/


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#6 22-08-2021 20:54:01

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Jean-Pierre Pinson a écrit :

Discord est un logiciel propriétaire, ce qui ne va pas tellement avec la philosophie du libre ! Je dis ça, je dis rien ! mais bon......



Le soucis est que j'en ai besoin pour mes cours à la fac, et ça me gave de passer par internet surtout que ça ne fonctionne pas toujours..

Hors ligne

#7 22-08-2021 20:56:46

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux -5.14.0-4-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] Installation de paquets

bonsoir clemiloup smile  smile  smile

pour installer un paquet en ligne de commandes (C.ommand L.ine I.nterface = C.L.I. = ligne de commande) :

apt install <paquet>


en mode administrateur



pour trouver (avec un peu de chance) un paquet :

apt search <paquet>


en simple utilisateur



la version d'un paquet :

apt policy <paquet>


en simple utilisateur la aussi



amicalement ,

alain.

coyotus.png

Hors ligne

#8 22-08-2021 20:58:23

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

cyrille a écrit :

Discord est un logiciel propriétaire, ce qui ne va pas tellement avec la philosophie du libre ! Je dis ça, je dis rien ! mais bon......


+1 mais si c'est son besoin.... Chacun son choix, mais bien de le rappeler quand même wink
En libre, si c'est pour de la visio : https://meet.jit.si/



Merci à toi smile
Et aussi pour le site, que je ne connaissais pas qui pourrait peut-être me servir lorsque les visios avec les profs ne fonctionnent pas

Hors ligne

#9 22-08-2021 21:02:20

cyrille
CA Debian-Facile
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu] Installation de paquets

/path/to/discord.deb est à remplacer par le chemin où se trouve le fichier sur ton système

Si tu l'as téléchargé à la base de ton /home et si  tu utilises sudo

 sudo dpkg -i /home/$USER/discord.deb




Au pire je n'utilise pas les commandes GUI, mais sinon un clic contextuel sur le fichier discord.deb doit te donner une entrée style Installer avec gdebi....

Sinon, ouvre un terminal et

DISCORD=$(find /home/$USER -name discord.deb)

sudo dpkg -i $DISCORD



wink

Dernière modification par cyrille (22-08-2021 21:03:22)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#10 22-08-2021 21:13:38

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

cyrille a écrit :

/path/to/discord.deb est à remplacer par le chemin où se trouve le fichier sur ton système

Si tu l'as téléchargé à la base de ton /home et si  tu utilises sudo

 sudo dpkg -i /home/$USER/discord.deb



D'accord merci, je n'avais pas compris
Mais voilà ce que me répond le terminal:

~$  sudo dpkg -i '/home/clem/discord.deb'
Sélection du paquet discord précédemment désélectionné.
(Lecture de la base de données... 135738 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de /home/clem/discord.deb ...
Dépaquetage de discord (0.0.15) ...
dpkg: des problèmes de dépendances empêchent la configuration de discord :
 discord dépend de libgconf-2-4 ; cependant :
  Le paquet libgconf-2-4 n'est pas installé.
 discord dépend de libappindicator1 ; cependant :
  Le paquet libappindicator1 n'est pas installé.
 discord dépend de libc++1 ; cependant :
  Le paquet libc++1 n'est pas installé.

dpkg: erreur de traitement du paquet discord (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.26-1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour mailcap (3.69) ...
Des erreurs ont été rencontrées pendant l'exécution :
 discord




cyrille a écrit :

Au pire je n'utilise pas les commandes GUI, mais sinon un clic contextuel sur le fichier discord.deb doit te donner une entrée style Installer avec gdebi....



Il ne me le propose pas, il faudrait que j'installe gdebi..

cyrille a écrit :

Sinon, ouvre un terminal et

DISCORD=$(find /home/$USER -name discord.deb)

sudo dpkg -i $DISCORD



Voilà la réponse que j'ai à nouveau:

~$ DISCORD=$(find /home/clem -name discord.deb)
~$ sudo dpkg -i $DISCORD
(Lecture de la base de données... 135823 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de /home/clem/discord.deb ...
Dépaquetage de discord (0.0.15) sur (0.0.15) ...
dpkg: des problèmes de dépendances empêchent la configuration de discord :
 discord dépend de libgconf-2-4 ; cependant :
  Le paquet libgconf-2-4 n'est pas installé.
 discord dépend de libappindicator1 ; cependant :
  Le paquet libappindicator1 n'est pas installé.
 discord dépend de libc++1 ; cependant :
  Le paquet libc++1 n'est pas installé.

dpkg: erreur de traitement du paquet discord (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.26-1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour mailcap (3.69) ...
Des erreurs ont été rencontrées pendant l'exécution :
 discord

Dernière modification par Clemiloup (22-08-2021 21:14:23)

Hors ligne

#11 22-08-2021 21:23:07

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Alors, un miracle ou de la magie c'est produite: discord vient d'apparaître sur mon ordi. Va savoir comment car 5min plus tôt mon terminal me disait que ça ne marchait pas scratchhead.gif

Toujours est-il que je vais essayer d'installer gdebi, au cas où j'en aurais besoin lors de mes prochains téléchargements

Hors ligne

#12 22-08-2021 21:28:26

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

vv221 qui est de bon conseil dit: Discord c’est un éco-système fermé de forum/chat qui a commencé par se faire une réputation dans le milieu du jeu vidéo, et essaie maintenant de "remplacer" les forums.
Par rapport à un forum, ça apporte :
- une dépendance à une entreprise
- des messages qui disparaissent au bout d’un moment
- une interface hyper lourde blindée de JavaScript
Que du bonheur donc wink
On peut clairement faire une scolarité complète, université comprise, sans utiliser Discord.
Donc moi personnellement je ne le conseillerai pas......
pourquoi tu n'utilises pas plutôt IRC et Jami ?

Dernière modification par Jean-Pierre Pinson (22-08-2021 21:37:23)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#13 22-08-2021 21:30:12

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Héhé quel étonnement, j'ai les mêmes réponses que pour discord help.gif:

~$ sudo apt-get install gdebi
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 discord : Dépend: libgconf-2-4 mais ne sera pas installé
           Dépend: libappindicator1 mais il n'est pas installable
           Dépend: libc++1 mais ne sera pas installé
 gdebi : Dépend: gdebi-core (= 0.9.5.7+nmu5) mais ne sera pas installé
         Dépend: gnome-icon-theme mais ne sera pas installé
         Recommande: libgtk2-perl mais il n'est pas installable
         Recommande: lintian mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
~$ sudo dpkg -i '/home/clemence02/Téléchargements/gdebi_0.9.5.5+nmu1_all.deb'
Sélection du paquet gdebi précédemment désélectionné.
(Lecture de la base de données... 135823 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../gdebi_0.9.5.5+nmu1_all.deb ...
Dépaquetage de gdebi (0.9.5.5+nmu1) ...
dpkg: des problèmes de dépendances empêchent la configuration de gdebi :
 gdebi dépend de gdebi-core (= 0.9.5.5+nmu1) ; cependant :
  Le paquet gdebi-core n'est pas installé.
 gdebi dépend de gir1.2-vte-2.90 ; cependant :
  Le paquet gir1.2-vte-2.90 n'est pas installé.
 gdebi dépend de gksu ; cependant :
  Le paquet gksu n'est pas installé.
 gdebi dépend de gnome-icon-theme ; cependant :
  Le paquet gnome-icon-theme n'est pas installé.

dpkg: erreur de traitement du paquet gdebi (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour man-db (2.9.4-2) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.26-1) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour mailcap (3.69) ...
Des erreurs ont été rencontrées pendant l'exécution :
 gdebi

Dernière modification par Clemiloup (22-08-2021 21:36:17)

Hors ligne

#14 22-08-2021 21:45:59

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

Bonsoir Clemiloup smile

Viens plutôt nous rejoindre sur IRC, tu verras c'est sympa, en plus tu bénéficieras de conseils avisés de la communauté #debian-facile smile

Pour cela tu peux utiliser plusieurs logiciels, mais je te conseillerais weechat en ligne de commande qui est très bien --> https://debian-facile.org/doc:reseau:weechat

Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#15 22-08-2021 22:14:57

Caribou22
Br3izhG33k =)
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stable
Noyau : Sans pépins
(G)UI : Xfce, Gnome
Inscription : 10-11-2014
Site Web

Hors ligne

#16 22-08-2021 22:16:23

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Jean-Pierre Pinson a écrit :

Bonsoir Clemiloup smile

Viens plutôt nous rejoindre sur IRC, tu verras c'est sympa, en plus tu bénéficieras de conseils avisés de la communauté #debian-facile smile

Pour cela tu peux utiliser plusieurs logiciels, mais je te conseillerais weechat en ligne de commande qui est très bien --> https://debian-facile.org/doc:reseau:weechat



Il faudrait que je me connecte à quel serveur?

Hors ligne

#17 22-08-2021 22:19:31

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Caribou22 a écrit :

Bonjour smile

Sinon pour info, Discord est disponible via Flatpak : https://debian-facile.org/doc:systeme:flatpak



Et ça marche comment après l'avoir installé?

Hors ligne

#18 22-08-2021 22:28:44

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

re Clemiloup

La communauté Debian Facile, donc le salon #debian-facile sur irc se situe sur le serveur oftc

Il suffit de suivre la doc dans le lien que je t'ai donné pour t'y connecter --> https://debian-facile.org/doc:reseau:weechat

Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#19 22-08-2021 22:41:16

cyrille
CA Debian-Facile
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu] Installation de paquets

sudo apt-get install -f



pour installer les dépendances non satisfaites....

Discord n'est pas clean éthiquement mais bcp d'étudiants n'ont guère d'autres choix.....

Dernière modification par cyrille (22-08-2021 22:41:32)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#20 22-08-2021 22:45:58

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

Désolé, mais pour ma part je n’aide pas les gens à qui on impose Discord, même s’ils auraient préféré l’éviter..S’ils ont des soucis avec, ils peuvent faire remonter ça au service client de Discord, s’il y en a un. Et aux personnes leur imposant d’utiliser cette daube. smile

Dernière modification par Jean-Pierre Pinson (22-08-2021 22:48:18)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#21 22-08-2021 22:47:10

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Jean-Pierre Pinson a écrit :

re Clemiloup

La communauté Debian Facile, donc le salon #debian-facile sur irc se situe sur le serveur oftc

Il suffit de suivre la doc dans le lien que je t'ai donné pour t'y connecter --> https://debian-facile.org/doc:reseau:weechat



Je n'arrive pas trop à comprendre comment cela fonctionne, est-ce que tu peux m'éclairer un peu plus?

Hors ligne

#22 22-08-2021 22:49:09

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

cyrille a écrit :

sudo apt-get install -f



pour installer les dépendances non satisfaites....

Discord n'est pas clean éthiquement mais bcp d'étudiants n'ont guère d'autres choix.....



Alors ça m'a supprimé discord hmm

Hors ligne

#23 22-08-2021 22:50:31

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : [Résolu] Installation de paquets

Je veux bien t'éclairer, mais qu'est-ce que tu ne comprend pas Clemiloup ? weechat est un client IRC.
Déjà tu installes weechat:

apt install weechat


Et après tu suis la documentation

Dernière modification par Jean-Pierre Pinson (22-08-2021 22:56:00)


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#24 22-08-2021 22:54:13

Clemiloup
Membre
Distrib. : Debian GNU/Linux 11 (Bullseye)
Noyau : 5.10.0-8-amd64
(G)UI : GNOME 3.38.5 (Wayland)
Inscription : 21-08-2021

Re : [Résolu] Installation de paquets

Jean-Pierre Pinson a écrit :

Je veux bien t'éclairer, mais qu'est-ce que tu ne comprend pas Clemiloup ?



C'est-à-dire que je ne sais pas trop où aller, j'ai juste un terminal devant moi avec un channel apparemment mais sans plus d'info

Hors ligne

#25 22-08-2021 22:55:57

cyrille
CA Debian-Facile
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu] Installation de paquets

Alors ça m'a supprimé discord hmm


Bah , essaye d'installer les dépendances demandées et relance l'install de discord

sudo apt install libgconf-2-4 libappindicator1  libc++1



et procédure pour installer discord à relancer


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

Pied de page des forums